GTPin: gtpin::IGtTool Class Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtTool Class Reference
GTPin: Tool Callbacks

Abstract class that defines interface of the GTPin tool; i.e. set of callbacks invoked by the GTPin core. More...

`#include <igt_tool.h>`

## Public Member Functions
virtual const char * | Name () const =0
| Return Name of the tool.
virtual uint32_t | ApiVersion () const =0
| Return The GTPin API version supported by this tool.
virtual void | OnKernelBuild (IGtKernelInstrument &instrumentor)=0
| A callback invoked by GTPin for each kernel being compiled.
virtual void | OnKernelRun (IGtKernelDispatch &dispatcher)=0
| A callback invoked by GTPin for each kernel instance before dispatching it for execution.
virtual void | OnKernelComplete (IGtKernelDispatch &dispatcher)=0
| A callback invoked by GTPin for each kernel instance that finished execution.

## Detailed Description

Abstract class that defines interface of the GTPin tool; i.e. set of callbacks invoked by the GTPin core.

Availability:
  - Anytime between IGtCore::RegisterTool and IGtCore::UnregisterTool

## Member Function Documentation

virtual void gtpin::IGtTool::OnKernelBuild | ( | IGtKernelInstrument & | instrumentor | ) | `[pure virtual]`

A callback invoked by GTPin for each kernel being compiled.

The tool can use this callback to instrument the original code of the kernel.

Parameters:

  [in] | instrumentor | Object that implements kernel instrumentation interface

virtual void gtpin::IGtTool::OnKernelComplete | ( | IGtKernelDispatch & | dispatcher | ) | `[pure virtual]`

A callback invoked by GTPin for each kernel instance that finished execution.

The tool can use this callback to store and/or analyze profile data generated by the instrumented kernel.

Parameters:

  [in] | dispatcher | Object that implements kernel dispatching interface

virtual void gtpin::IGtTool::OnKernelRun | ( | IGtKernelDispatch & | dispatcher | ) | `[pure virtual]`

A callback invoked by GTPin for each kernel instance before dispatching it for execution.

The tool can use this callback to enable or disable profiling of specific kernel instances.

Parameters:

  [in] | dispatcher | Object that implements kernel dispatching interface

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT